/* Add padding to sections */
.wp-block-group.alignfull[class*="is-style-section-"],
.wp-site-blocks > .wp-block-group[class*="is-style-section-"],
.wp-block-template-part > .wp-block-group[class*="is-style-section-"],
.is-root-container > .wp-block-group[class*="is-style-section-"] {
    padding-top: var(--wp--custom--global--spacing--padding--section);
    padding-bottom: var(--wp--custom--global--spacing--padding--section);
}

/* Remove padding from adjacent sections */
.wp-block-group.alignfull.is-style-section-base + .wp-block-group.alignfull.is-style-section-base,
.wp-site-blocks > .wp-block-group.is-style-section-base + .wp-block-group.is-style-section-base,
.wp-block-group.alignfull.is-style-section-base-variant + .wp-block-group.alignfull.is-style-section-base-variant,
.wp-site-blocks > .wp-block-group.is-style-section-base-variant + .wp-block-group.is-style-section-base-variant,
.wp-block-group.alignfull.is-style-section-contrast + .wp-block-group.alignfull.is-style-section-contrast,
.wp-site-blocks > .wp-block-group.is-style-section-contrast + .wp-block-group.is-style-section-contrast,
.wp-block-group.alignfull.is-style-section-primary + .wp-block-group.alignfull.is-style-section-primary,
.wp-site-blocks > .wp-block-group.is-style-section-primary + .wp-block-group.is-style-section-primary,
.wp-block-group.alignfull.is-style-section-accent + .wp-block-group.alignfull.is-style-section-accent,
.wp-site-blocks > .wp-block-group.is-style-section-accent + .wp-block-group.is-style-section-accent {
    padding-top: 0;
}

/* Remove margin from adjacent sections */
.wp-block-group.alignfull + .wp-block-group.alignfull,
.wp-site-blocks > .wp-block-template-part + .wp-block-group,
.wp-site-blocks > .wp-block-group {
    margin-top: 0;
}

/* Stretch child elements of stack groups to fill the width of the parent */
.wp-block-group.is-vertical > * {
    width: 100%;
}

/* Remove border radius from full width groups */
.wp-block-group.alignfull,
.wp-site-blocks > .wp-block-group,
.wp-block-template-part > .wp-block-group {
    border-radius: 0;
}

/* Hide overflow from groups with sliders */
.wp-block-group.alignfull:has(.wp-block-query.is-style-slider),
.wp-block-group.alignfull:has(.wp-block-mijnwerkgever-slider) {
    overflow: hidden;
}

/* Sticky */
.is-position-sticky.wp-block-group {
    top: calc(var(--wp--preset--spacing--60) + var(--wp-admin--admin-bar--position-offset, 0px));
}

/* Grid */
@media screen and (max-width: 640px) {
    .wp-block-group.is-layout-grid {
        grid-template-columns: 1fr !important;
    }
}